"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process = require("child_process");
function emulatorCmd(args) {
    if (args) {
        return `${process.env.ANDROID_HOME}/emulator/emulator ${args}`;
    }
    return `${process.env.ANDROID_HOME}/emulator/emulator`;
}
class AVDManager {
    async getAll() {
        return new Promise((resolve, reject) => {
            child_process.exec(emulatorCmd('-list-avds'), (error, stdout, stderr) => {
                if (error) {
                    reject(error);
                    return;
                }
                if (stderr) {
                    reject(stderr);
                    return;
                }
                resolve(this.parseListAVDs(stdout));
            });
        });
    }
    launch(name) {
        child_process
            .spawn(emulatorCmd(), ['-avd', name], { detached: true, stdio: 'ignore' })
            .unref();
    }
    parseListAVDs(stdout) {
        return stdout.trim().split('\n');
    }
}
exports.default = AVDManager;
