"use strict";
const command_1 = require("@oclif/command");
const avdmanager_1 = require("./avdmanager");
const inquirer = require("inquirer");
class AvdLauncher extends command_1.Command {
    async run() {
        // Handle built-in flags
        this.parse(AvdLauncher);
        const avdManager = new avdmanager_1.default();
        const availableAvds = await avdManager.getAll();
        const answer = await inquirer.prompt([this.selectDevicesQuestion(availableAvds)]);
        const avdsToLaunch = answer.avds;
        avdsToLaunch.forEach(avd => {
            process.stdout.write(`Launching ${avd}...`);
            avdManager.launch(avd);
            process.stdout.write('done.\n');
        });
    }
    selectDevicesQuestion(avds) {
        return {
            type: 'checkbox',
            name: 'avds',
            message: 'Select a device',
            choices: avds,
        };
    }
}
AvdLauncher.description = 'Launch an Android Virtual Device.';
AvdLauncher.flags = {
    version: command_1.flags.version({ char: 'v' }),
    help: command_1.flags.help({ char: 'h' }),
};
module.exports = AvdLauncher;
